# http://www.est.hi-ho.ne.jp/atamadekkati/ 
# 起動時にオープンしなかったプラグインを立ち上げたり、再ロードする。
# 2009/11/28 ver1.00 作成
#
# 使用者の自己責任でご使用下さい。

require 'sketchup.rb'

#============= メインプログラム =============
def ozpluginopen
  model = Sketchup.active_model
  if (Sketchup.version.to_f >= 7.0)
    pluginfilename = UI.openpanel("ファイル名の欄の_.rbsを*.rbsにしてEnterキーを押すと、rbsファイルが表示されます。", "" , "*.rb;*.rbs")
  else
    pluginfilename = UI.openpanel("開くプラグインを指定してください。", "" , "*.rb;*.rbs")
  end
  return unless pluginfilename
  load pluginfilename
end

#=============================================================================
# Add a menu 
unless $ozpluginopen_loaded
  ozcmd = UI::Command.new("プラグインを開く") { ozpluginopen }
  ozcmd.large_icon = "OZPluginOpen\\rubyopen_24.PNG"
  ozcmd.small_icon = "OZPluginOpen\\rubyopen_16.PNG"
  ozcmd.status_bar_text = ozcmd.tooltip = "プラグインを開く"
  oztb = UI::Toolbar.new("プラグインを開く")
  oztb.add_item ozcmd
  if oztb.get_last_state == -1
    oztb.show
  end
  $ozpluginopen_loaded = true
end
